Show SSL VPN V3 Connection details#
SSL VPN V3のコネクションの詳細を表示します。
APIエンドポイント#
| リージョン | APIエンドポイント |
|---|---|
| 西日本リージョン3の場合 | https://nfv.jp-west-3.cloud.global.fujitsu.com |
| 東日本リージョン3の場合 | https://nfv.jp-east-3.cloud.global.fujitsu.com |
HTTPメソッドとURI#
GET
/vpn/nfv/ssl-vpn-v3-connections/{sslvpnv3connection-id}
HTTPステータスコード#
正常時:200
エラー時:404,500,503
リクエストパラメータの説明#
| 名前 | In | Type | デフォルト値 /必須指定 |
Description |
|---|---|---|---|---|
| sslvpnv3connection-id | path | string | 必須 | SSL VPN V3のコネクションID |
レスポンスボディ(正常系)の説明#
| 名前 | Type | Description |
|---|---|---|
| ssl_vpn_v3_connection | object | SSL VPN V3コネクションのオブジェクト |
| status | string | 設定ステータス ACTIVE / BUILD / DELETING / CREATE_ERROR / UPDATE_ERROR / DELETE_ERROR |
| tenant_id | string | SSL VPN V3コネクションが所属するプロジェクトID |
| name | string | SSL VPN V3コネクションの名前 |
| admin_state_up | boolean | SSL VPN V3 コネクションの管理状態 「false」でSSL VPN V3 コネクションは非活性状態です。 |
| client_address_pool_cidr | string | SSL-VPN クライアントで利用するアドレスプールのCIDR |
| credential_id | string | SSL VPN V3 コネクションで利用する証明書ID |
| vpnservice_id | string | 利用しているVPNサービスのID |
| id | string | SSL VPN V3 コネクションのID |
| access_points | array | SSL VPN V3コネクションのアクセス情報 |
| external_address | string | SSL VPN V3 コネクションに設定されている公開IPアドレス SSL クライアントは本IPアドレスへ接続を行います。 |
| internal_gateway | string | 常にnullです。 |
| client_address_pool_cidr | string | SSL-VPN クライアントで利用するアドレスプールのCIDR |
| floatingips | string | 常にnullです。 |
| detail | string | 詳細情報 |
| otp | boolean | ワンタイムパスワードの利用要否 |
| flavor | string | 利用するフレーバー |
レスポンス例#
{ "ssl_vpn_v3_connection": { "status": "ACTIVE", "tenant_id": "79c02391a9e6483d916c00a36aca14e1", "name": "ssl-connection", "admin_state_up": true, "client_address_pool_cidr": "10.8.0.0/24", "credential_id": "e931ad17-a80e-4bca-94d4-ca9dcb97ceba", "vpnservice_id": "2969", "id": "67406", "access_points": [ { "external_address": "133.0.0.25", "internal_gateway": null, "client_address_pool_cidr": "10.8.0.0/24", "floatingips": null } ], "detail": "", "otp": "true", "flavor": "small" } }